(* 
Status und History: Steht alles in History.h!!



*)



(* Datei (oder Folder) bearbeiten *)
on BearbeiteEineDatei(dieDatei)
	
	(* Wenns ein Ordner ist, erstmal reingehen und den Inhalt verarbeiten *)
	tell application "Finder" to set dieDateiKind to (kind of dieDatei)
	log dieDateiKind
	log class of dieDatei
	#might also be volume.	if (dieDateiKind = "Folder" or dieDateiKind = "Ordner") then (* Mann, was fuer ne Hirrnwichse! Der Wert der Kind ist Systemsprachenabhaengig! *)
	
	tell application "Finder"
		# create tempfile path
		#		set tempfilepath to ((path to(library folder) as text) & "Caches:List_Open_Files.tmp")
		set tempfilepath to "~/Library/Caches/List_Open_Files_tmp.txt"
		log (tempfilepath)
		
		# get posix path of the file/folder/volume to check
		set posixpfad to POSIX path of dieDatei
		log (posixpfad)
	end tell
	
	
	# lsof
	set cmd to "lsof +D \"" & posixpfad & "\" > " & tempfilepath & ""
	try
		set res to do shell script cmd
	on error (e)
		log "Duh: " & e
	end try
	
	# Get result
	set cmd to "cat " & tempfilepath
	set res to do shell script cmd
	log res
	
	# Show the user
	do shell script "open " & tempfilepath
	
	#	else
	#		
	#	end if
	
end BearbeiteEineDatei


(* falls es einer als Droplet verwendet *)
on open of filesList
	repeat with aFile in filesList
		BearbeiteEineDatei(aFile)
	end repeat
end open


(* wenn es einer regulaer oeffnet *)
on run
	
	(* Erstmal zu bearbeitende Dateien waehlen *)
	(* Toll: AppleScript kann entweder FILE oder FOLDER choosen. So ein Myll! *)
	tell application "Finder"
		activate
		#set ff to choose folder with prompt "Bitte zu bearbeitende Ordner waehlen:" without multiple selections allowed
		set ff to choose folder with prompt "Bitte zu bearbeitende Ordner waehlen:" with multiple selections allowed
	end tell
	
	repeat with f in ff
		BearbeiteEineDatei(f)
	end repeat
end run

