(* copies selected mail from apple mail to clipboard as text *)

tell application "Mail"
	
	set theSelectedMessages to selection
	
	if (count theSelectedMessages) is greater than 0 then
		
		repeat with oneSelectedMessage in theSelectedMessages
			tell oneSelectedMessage
				set t to all headers
				set t to t & return & content
				log t
				(* convert line endings *)
				tell me to set t to changeString of t from linefeed to return
				tell application "System Events"
					set the clipboard to t
				end tell
			end tell
		end repeat
		
	else
		display dialog "You haven't selected any message..." buttons {"Doh!"}
	end if
	
end tell


to changeString of t from s to r
	set d to text item delimiters
	set text item delimiters to s
	set t to t's text items
	set text item delimiters to r
	tell t to set t to beginning & ({""} & rest)
	set text item delimiters to d
	t
end changeString