(* Is the screen saver password protected? *)
tell AppleScript to set askForPasswordSetting to do shell script "defaults read com.apple.screensaver askForPassword"
log askForPasswordSetting

(* If it is, disable the protection! *)
if (askForPasswordSetting is not "0") then
	log "Disabling password protection."
	(* Disable the screen Saver Password *)
	tell AppleScript to do shell script "defaults write com.apple.screensaver askForPassword -int 0"
end if

(* Turn OFF the screen saver (this works only because we disabled the password before! *)
log "Quitting screen saver engine"
try
	tell application "ScreenSaverEngine" to quit
on error (e)
	log (e)
end try

(* Turn on the screen saver password back on*)
if (askForPasswordSetting is "1") then
	log "Re-enabling password protection."
	do shell script "defaults write com.apple.screensaver askForPassword -int 1"
end if

(* Activate the screen saver *)
#tell application "ScreenSaverEngine" to activate